Subject: Re: [OpenSCAD] Re: simple rounded shape
From: Guenther Sohler <[email-masked]>
To: Sanjeev Prabhakar <[email-masked]>
Date: Wed, 29 Jan 2025 15:51:49 +0100

Hi Sanjeev,

Yes, this path makes good sense.
I believe, when i hardcoded this path into pythonscad binary it would work.
I wish i was little bit more flexible in case some mac user has other
python version installed.
Maybe MAC has an environment variable telling the python version ?
maybe you try:

env | grep python

?

On Wed, Jan 29, 2025 at 3:32 PM Sanjeev Prabhakar <[email-masked]>
wrote:

> Hi Guenther,
>
> following path has these 2 files:
>
> /Library/Frameworks/Python.framework/Versions/3.13/lib/python3.13
>
> On Wed, 29 Jan 2025 at 13:38, Guenther Sohler <[email-masked]>
> wrote:
>
>> Hi Sanjeev,
>>
>> Can please tell  me the path of opcode.py and abc.py in your system  ?
>>
>> in my case its
>>
>> /usr/lib/python3.13/opcode.py
>> /usr/lib/python3.13/abc.py
>>
>> thankx
>>
>> On Wed, Jan 29, 2025 at 8:58 AM Guenther Sohler <
>> [email-masked]> wrote:
>>
>>> Hi Sanjeev,
>>>
>>> yes, this helps a lot!
>>> It means to me that we are almost there.
>>> Just python does not find the runtime libraries
>>> let me check the details in the code and come up with a proposed solution
>>>
>>> (BTW i never considered importing openscad2, but always openscad, but it
>>> appears logical to you ;)
>>>
>>>
>>>
>>> On Wed, Jan 29, 2025 at 1:49 AM Sanjeev Prabhakar <
>>> [email-masked]> wrote:
>>>
>>>> I have shared a video of the issue I face during running your version
>>>> of openSCAD
>>>> https://youtu.be/Io5i5AAUe88
>>>> I hope this helps
>>>> Regards
>>>>
>>>> On Wed, 29 Jan 2025 at 04:31, Guenther Sohler <
>>>> [email-masked]> wrote:
>>>>
>>>>> Hi Sanjeev,
>>>>>
>>>>> thank you for your offer
>>>>>
>>>>> Yes, I have created another version with the latest code
>>>>> . It works flawlessly in my place. but i am sitting on the developer
>>>>> mac, which owns all required dependencies.
>>>>> Check out https://pythonscad.org/download.php
>>>>> version is from 2025-01-28
>>>>> I am curious to learn, how well it behaves in your mac
>>>>>
>>>>>
>>>>> thanks again
>>>>>
>>>>>
>>>>> On Tue, Jan 28, 2025 at 1:18 PM Sanjeev Prabhakar <
>>>>> [email-masked]> wrote:
>>>>>
>>>>>> Hi Guenther,
>>>>>> I have macbook air m1 and not intel.
>>>>>>
>>>>>> You can share your next build and i can try once again.
>>>>>> Regards
>>>>>>
>>>>>> On Tue, 28 Jan, 2025, 5:19 pm Guenther Sohler, <
>>>>>> [email-masked]> wrote:
>>>>>>
>>>>>>> hi Sanjeev
>>>>>>>
>>>>>>> writing you in person.
>>>>>>>
>>>>>>> My understanding was that you still own a MAC with intel CPU, so I
>>>>>>> am wrong ?
>>>>>>>
>>>>>>> To use Hendriks changes you need to replace a TabManager.cc in the
>>>>>>> source code and recompile.
>>>>>>> I tested it already and the integration is flawless. However, I plan
>>>>>>> to maybe gate the changes with preference setting as not everybody preferts
>>>>>>> gvim over internal editor.
>>>>>>>
>>>>>>> If its interesting to you i might include it for next mac release.
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>>
>>>>>>> On Tue, Jan 28, 2025 at 12:24 PM Sanjeev Prabhakar via Discuss <
>>>>>>> [email-masked]> wrote:
>>>>>>>
>>>>>>>> Is gvim works for macbook air m1?
>>>>>>>> In case yes, how do I install this?
>>>>>>>>
>>>>>>>> On Tue, 28 Jan, 2025, 2:47 pm Matthieu Hendriks via Discuss, <
>>>>>>>> [email-masked]> wrote:
>>>>>>>>
>>>>>>>>> I've changed the source code of openscad to automatically open
>>>>>>>>> gvim as an editor, when I switch between the tabs in openscad the gvim
>>>>>>>>> switches also.
>>>>>>>>>
>>>>>>>>> The editor window stayes minimized, other wise you're not able to
>>>>>>>>> switch between the tabs.
>>>>>>>>>
>>>>>>>>> If interested I can share the code-changes.
>>>>>>>>> Met vriendelijke groet,
>>>>>>>>>
>>>>>>>>> Matthieu Hendriks
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> tsingi via Discuss schreef op 2025-01-28 00:40:
>>>>>>>>>
>>>>>>>>> I always have that window closed.  I edit in gvim, OpenScad
>>>>>>>>> watches the file and updates when it changes.
>>>>>>>>> I LOVE that.
>>>>>>>>>
>>>>>>>>> Sent with Proton Mail secure email.
>>>>>>>>>
>>>>>>>>> On Monday, January 27th, 2025 at 6:36 PM, William F. Adams via
>>>>>>>>> Discuss <[email-masked]> wrote:
>>>>>>>>>
>>>>>>>>> On Monday, January 27, 2025 at 11:35:02 AM EST, Sanjeev Prabhakar
>>>>>>>>> via Discuss [email-masked] wrote:
>>>>>>>>>
>>>>>>>>> check this openscad file. Don't look at the code.
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> FWIW, this is pretty easy to do by hiding the editor Window:
>>>>>>>>>
>>>>>>>>> _______________________________________________
>>>>>>>>> OpenSCAD mailing list
>>>>>>>>> To unsubscribe send an email to [email-masked]
>>>>>>>>>
>>>>>>>>> _______________________________________________
>>>>>>>>> OpenSCAD mailing list
>>>>>>>>> To unsubscribe send an email to [email-masked]
>>>>>>>>>
>>>>>>>>> _______________________________________________
>>>>>>>>> OpenSCAD mailing list
>>>>>>>>> To unsubscribe send an email to [email-masked]
>>>>>>>>>
>>>>>>>> _______________________________________________
>>>>>>>> OpenSCAD mailing list
>>>>>>>> To unsubscribe send an email to [email-masked]
>>>>>>>>
>>>>>>>